#### NOSUPPRESS

#### Synopsis

    HELP:   Blanks at the end of record are not suppressed
    TYPE:   SWITCH
    SYNTAX: NOSUPPRESS

#### Description

Whitespace at the end of a record is not suppressed (Windows only). See also parameter SUPPRESS.

Specification of Parameter trimchar implicitly sets `suppress`, see also parameter PADCHAR.

Parameters in the same Context:

- OPTION for suppress and nosuppress on UNIX.
- CUT for truncate in z/OS.
- PADCHAR for trimchar in WINDOWS and PADCHAR in z/OS.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - see parameter CUT for `TRUNCATE` or `cut`.
- UNIX
  - see parameter OPTION for `nosuppress`.
- WINDOWS
  - `nosuppress`
  - `nos`
    Whitespace at the end of records is not suppressed. See also parameters NOCUT and CUT.

Values

- WINDOWS
  - none/no values

Default

- WINDOWS
  - none/no default
    - Note: Specification of Parameter trimchar implicitly sets `suppress`. See also parameter PADCHAR.

Valid for

- decompression